Bug 624611 - When job has four tasks and the second fails, second quarter of the color stripe is not red, but the third one is
When job has four tasks and the second fails, second quarter of the color str...
Status: CLOSED NOTABUG
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.7
All Linux
low Severity medium (vote)
: future_maint
: ---
Assigned To: Raymond Mancy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 04:46 EDT by Jan Pazdziora
Modified: 2014-12-07 20:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-09 11:05:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2010-08-17 04:46:29 EDT
Description of problem:

I have a job which has four tasks. The results of the tasks were

PASS
FAIL
PASS
still running (it's a reservesys)

The progress color stripe has first half green, then a red quarter, and then the last quarter white (it's still running). So it provides confusing information about which test failed -- looking at the jobs overview, I'm lead to believe it was the third one while in fact the second one failed.

Version-Release number of selected component (if applicable):

Beaker WebUI as of today.

How reproducible:

Seen once, I believe it's deterministic.

Steps to Reproduce:
1. Schedule a job with multiple tasks where the second fails and the third does not.
2. Let the job run and then look at /jobs/mine
  
Actual results:

The second part (quarter if there were four tasks, third if there were three) is green.

Expected results:

It should be red, to clearly show that it was the second task which failed.

Additional info:
Comment 2 Bill Peck 2011-02-09 11:05:06 EST
We only keep track of the number of passes, failures, and warns...  So they will always be grouped together.

Note You need to log in before you can comment on or make changes to this bug.